Merx

POST shop/cart

Adds an item to the cart.

fetch('/api/shop/cart', {
	method: 'POST',
	headers: {
		'Accept': 'application/json',
		'Content-Type': 'application/json',
	},
	body: JSON.stringify({
		"page": "products/canvas-bag",
		"quantity": 1
	}),
});

API model

Wagnerwagner\Merx\Cart

Return type

Wagnerwagner\Merx\Cart

The cart including the added item.

Example response

POST https://shop.test/api/shop/cart
{
    "code": 200,
    "data": {
        "checkout": {
            "title": "Checkout",
            "url": "https://shop.test/checkout"
        },
        "isFromPrice": false,
        "isOrderable": true,
        "products": {
            "items": [
                {
                    "data": {
                        "size": "42"
                    },
                    "key": "products/nice-shoes",
                    "page": {
                        "template": "product",
                        "url": "https://shop.test/products/nice-shoes",
                        "uuid": "page://Yk4fR7tNq2Lm9VxC"
                    },
                    "price": {
                        "price": "€89.90",
                        "priceIncludingTax": true,
                        "priceNet": "€75.55",
                        "priceNetRaw": 75.5499999999999971578290569595992565155029296875,
                        "priceRaw": 89.900000000000005684341886080801486968994140625,
                        "tax": {
                            "price": "€14.35",
                            "priceRaw": 14.3499999999999996447286321199499070644378662109375,
                            "rate": "19%",
                            "rateRaw": 0.190000000000000002220446049250313080847263336181640625
                        }
                    },
                    "quantity": 1,
                    "thumb": null,
                    "title": "Nice Shoes",
                    "total": {
                        "price": "€89.90",
                        "priceIncludingTax": true,
                        "priceNet": "€75.55",
                        "priceNetRaw": 75.5499999999999971578290569595992565155029296875,
                        "priceRaw": 89.900000000000005684341886080801486968994140625,
                        "tax": {
                            "price": "€14.35",
                            "priceRaw": 14.3499999999999996447286321199499070644378662109375,
                            "rate": "19%",
                            "rateRaw": 0.190000000000000002220446049250313080847263336181640625
                        }
                    },
                    "type": "product",
                    "url": "https://shop.test/products/nice-shoes"
                },
                {
                    "data": null,
                    "key": "products/cozy-socks",
                    "page": {
                        "template": "product",
                        "url": "https://shop.test/products/cozy-socks",
                        "uuid": "page://bP3wZs8HdE6uJa1Q"
                    },
                    "price": {
                        "price": "€12.50",
                        "priceIncludingTax": true,
                        "priceNet": "€10.50",
                        "priceNetRaw": 10.5,
                        "priceRaw": 12.5,
                        "tax": {
                            "price": "€2.00",
                            "priceRaw": 2,
                            "rate": "19%",
                            "rateRaw": 0.190000000000000002220446049250313080847263336181640625
                        }
                    },
                    "quantity": 2,
                    "thumb": null,
                    "title": "Cozy Socks",
                    "total": {
                        "price": "€25.00",
                        "priceIncludingTax": true,
                        "priceNet": "€21.01",
                        "priceNetRaw": 21.010000000000001563194018672220408916473388671875,
                        "priceRaw": 25,
                        "tax": {
                            "price": "€3.99",
                            "priceRaw": 3.9900000000000002131628207280300557613372802734375,
                            "rate": "19%",
                            "rateRaw": 0.190000000000000002220446049250313080847263336181640625
                        }
                    },
                    "type": "product",
                    "url": "https://shop.test/products/cozy-socks"
                },
                {
                    "data": null,
                    "key": "products/canvas-bag",
                    "page": {
                        "template": "product",
                        "url": "https://shop.test/products/canvas-bag",
                        "uuid": "page://Gm7cTq2XvN5rKe9W"
                    },
                    "price": {
                        "price": "€24.00",
                        "priceIncludingTax": true,
                        "priceNet": "€20.17",
                        "priceNetRaw": 20.1700000000000017053025658242404460906982421875,
                        "priceRaw": 24,
                        "tax": {
                            "price": "€3.83",
                            "priceRaw": 3.8300000000000000710542735760100185871124267578125,
                            "rate": "19%",
                            "rateRaw": 0.190000000000000002220446049250313080847263336181640625
                        }
                    },
                    "quantity": 1,
                    "thumb": null,
                    "title": "Canvas Bag",
                    "total": {
                        "price": "€24.00",
                        "priceIncludingTax": true,
                        "priceNet": "€20.17",
                        "priceNetRaw": 20.1700000000000017053025658242404460906982421875,
                        "priceRaw": 24,
                        "tax": {
                            "price": "€3.83",
                            "priceRaw": 3.8300000000000000710542735760100185871124267578125,
                            "rate": "19%",
                            "rateRaw": 0.190000000000000002220446049250313080847263336181640625
                        }
                    },
                    "type": "product",
                    "url": "https://shop.test/products/canvas-bag"
                }
            ],
            "total": {
                "price": "€138.90",
                "priceIncludingTax": true,
                "priceNet": "€116.72",
                "priceNetRaw": 116.719999999999998863131622783839702606201171875,
                "priceRaw": 138.900000000000005684341886080801486968994140625,
                "tax": {
                    "price": "€22.18",
                    "priceRaw": 22.17999999999999971578290569595992565155029296875,
                    "rate": "19%",
                    "rateRaw": 0.190000000000000002220446049250313080847263336181640625
                }
            }
        },
        "quantity": 4,
        "shippings": {
            "items": [
                {
                    "data": null,
                    "key": "shipping",
                    "page": null,
                    "price": {
                        "price": "€4.90",
                        "priceIncludingTax": null,
                        "priceNet": "€4.12",
                        "priceNetRaw": 4.12000000000000010658141036401502788066864013671875,
                        "priceRaw": 4.9000000000000003552713678800500929355621337890625,
                        "tax": {
                            "price": "€0.78",
                            "priceRaw": 0.7800000000000000266453525910037569701671600341796875,
                            "rate": "19%",
                            "rateRaw": 0.190000000000000002220446049250313080847263336181640625
                        }
                    },
                    "quantity": 1,
                    "thumb": null,
                    "title": "Shipping",
                    "total": {
                        "price": "€4.90",
                        "priceIncludingTax": null,
                        "priceNet": "€4.12",
                        "priceNetRaw": 4.12000000000000010658141036401502788066864013671875,
                        "priceRaw": 4.9000000000000003552713678800500929355621337890625,
                        "tax": {
                            "price": "€0.78",
                            "priceRaw": 0.7800000000000000266453525910037569701671600341796875,
                            "rate": "19%",
                            "rateRaw": 0.190000000000000002220446049250313080847263336181640625
                        }
                    },
                    "type": "shipping",
                    "url": null
                }
            ],
            "total": {
                "price": "€4.90",
                "priceIncludingTax": null,
                "priceNet": "€4.12",
                "priceNetRaw": 4.12000000000000010658141036401502788066864013671875,
                "priceRaw": 4.9000000000000003552713678800500929355621337890625,
                "tax": {
                    "price": "€0.78",
                    "priceRaw": 0.7800000000000000266453525910037569701671600341796875,
                    "rate": "19%",
                    "rateRaw": 0.190000000000000002220446049250313080847263336181640625
                }
            }
        },
        "taxRates": [
            {
                "price": "€22.95",
                "priceRaw": 22.949999999999999289457264239899814128875732421875,
                "rate": "19%",
                "rateRaw": 0.190000000000000002220446049250313080847263336181640625
            }
        ],
        "total": {
            "price": "€143.80",
            "priceNet": "€120.84",
            "priceNetRaw": 120.840000000000003410605131648480892181396484375,
            "priceRaw": 143.80000000000001136868377216160297393798828125
        }
    },
    "status": "ok",
    "type": "model"
}